### Navigation

- index
- modules |
- next |
- previous |
- pycollada 0.4 documentation »
- API Reference »

# collada.scene.NodeNode

class `collada.scene.``NodeNode`(node, xmlnode=None)

  Bases: `collada.scene.Node`

  Represents a node being instantiated in a scene, as defined in the collada <instande_node> tag.

  `__init__`(node, xmlnode=None)

    Creates a node node

    Parameters:

    - node (collada.scene.Node) – A node to instantiate in the scene
    - xmlnode – When loaded, the xmlnode it comes from

  Methods

  `__init__`(id[, children, transforms, xmlnode]) | Create a node in the scene graph.
  `load`(collada, node, localscope) |
  `objects`(tipo[, matrix]) | Iterate through all objects under this node that match tipo.
  `save`() | Saves the geometry back to `xmlnode`.

  `node` = None

    An object of type `collada.scene.Node` representing the node to bind in the scene

  `xmlnode` = None

    ElementTree representation of the node node.

  `save`()

    Saves the node node back to `xmlnode`

### Navigation

- index
- modules |
- next |
- previous |
- pycollada 0.4 documentation »
- API Reference »